body {
    margin: 0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    min-width: 480px;
    background-color: #F7F7F7;
    overflow-x: hidden;
    width: 100vw;
}

html {
    scroll-behavior: smooth;
}


.div-block {
    display: block;
}

:root {
    --dark-color: #1C6389;
    --light-color: #75F1FF;
    --white-color: #FFFFFF;
    --black-color: #000000;
}

a,
p,
span,
h1,
h2,
h3,
h2,
h5,
h6,
li,
button,
input,
th,
td,
div {
    color: var(--black-color);
}

header {
    z-index: 9999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: var(--light-color);
}

.row {
    gap: 15px;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
}

.row.r2 {
    grid-template-columns: repeat(10, 1fr) !important;
}

@media (min-width: 992px) {
    :root {
        --font-size-large: 90px;
        /* Визначаємо змінну */
        --font-size-extra-large: 150px;
        /* Визначаємо змінну */
        --font-size-medium: 36px;
        /* Визначаємо змінну */
    }

    .container {
        width: 94%;
        display: block;
        padding-left: 3%;
        padding-right: 3%;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .col-lg-1 {
        grid-column: span 1;
    }

    .col-lg-2 {
        grid-column: span 2;
    }

    .col-lg-3 {
        grid-column: span 3;
    }

    .col-lg-4 {
        grid-column: span 4;
    }

    .col-lg-5 {
        grid-column: span 5;
    }

    .col-lg-6 {
        grid-column: span 6;
    }

    .col-lg-7 {
        grid-column: span 7;
    }

    .col-lg-8 {
        grid-column: span 8;
    }

    .col-lg-9 {
        grid-column: span 9;
    }

    .col-lg-11 {
        grid-column: span 11;
    }

    .col-lg-12 {
        grid-column: span 12;
    }
}


@media (min-width: 768px) and (max-width: 991.98px) {
    :root {
        --font-size-large: 50px;
        /* Визначаємо змінну */
        --font-size-extra-large: 100px;
        --font-size-medium: 20px;
        /* Визначаємо змінну */
    }

    .container {
        width: 94%;
        display: block;
        padding-left: 3%;
        padding-right: 3%;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .col-md-0 {
        grid-column: span 0;
    }

    .col-md-1 {
        grid-column: span 1;
    }

    .col-md-2 {
        grid-column: span 2;
    }

    .col-md-3 {
        grid-column: span 3;
    }

    .col-md-4 {
        grid-column: span 4;
    }

    .col-md-5 {
        grid-column: span 5;
    }

    .col-md-6 {
        grid-column: span 6;
    }

    .col-md-7 {
        grid-column: span 7;
    }

    .col-md-8 {
        grid-column: span 8;
    }

    .col-md-9 {
        grid-column: span 9;
    }

    .col-md-11 {
        grid-column: span 11;
    }

    .col-md-12 {
        grid-column: span 12;
    }
}


@media (max-width: 767.98px) {
    :root {
        --font-size-large: 36px;
        --font-size-extra-large: 80px;
        --font-size-medium: 16px;
        /* Визначаємо змінну */
    }

    .container {
        width: 94%;
        display: block;
        padding-left: 3%;
        padding-right: 3%;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .col-sm-0 {
        grid-column: span 0;
    }

    .col-sm-1 {
        grid-column: span 1;
    }

    .col-sm-2 {
        grid-column: span 2;
    }

    .col-sm-3 {
        grid-column: span 3;
    }

    .col-sm-4 {
        grid-column: span 4;
    }

    .col-sm-5 {
        grid-column: span 5;
    }

    .col-sm-6 {
        grid-column: span 6;
    }

    .col-sm-7 {
        grid-column: span 7;
    }

    .col-sm-8 {
        grid-column: span 8;
    }

    .col-sm-9 {
        grid-column: span 9;
    }

    .col-sm-11 {
        grid-column: span 11;
    }

    .col-sm-12 {
        grid-column: span 12;
    }
}

.gt_switcher_wrapper a{
    color:var(--dark-color);
    font-size: 21px;
}

.header .logo {
    max-height: 100px;
}


.header .logo {
    max-height: 100px;
}

.col-header {
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu-burger svg {
    width: 100%;
    height: 100%;
    max-width: 30px;
    max-height: 30px;
    display: none;
}

.menu nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.menu nav ul li {
    position: relative;
}

.menu nav ul li a {
    display: block;
    padding: 10px 20px;
    color: var(--black-color);
    text-decoration: none;
    transition: background 0.3s;
}

.menu nav ul li a:hover {
    color: var(--black-color);
    text-decoration: underline;
}

/* Перший рівень підменю (випадає вниз) */
.menu nav ul li ul {
    border: 1px solid var(--dark-color);
    background-color: var(--white-color);
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 200px;
    z-index: 1000;
    flex-direction: column;
}

.menu nav ul li ul li {
    padding: 15px 20px;
}

/* Другий рівень підменю (вбік) */
.menu nav ul li ul li ul {
    top: 0;
    left: 100%;
}

/* Показувати підменю при наведенні */
.menu nav ul li:hover>ul {
    display: block;
}

/* Стилізація вкладених посилань */
.menu nav ul li ul li a {
    padding: 10px 15px;
    color: var(--black-color);
}

.menu nav ul li ul li a:hover {
    color: var(--black-color);
}

.menu svg {
    height: 10px;
    width: 10px;
}

.menu li {
    display: flex;
    align-items: center;
    font-size: 18px;
}

.menu nav ul li a.active {
    border: 2px solid var(--dark-color);
    border-radius: 10px;
}


.menu nav ul li a.active:hover {
    border: 2px solid var(--light-color);
    text-decoration: none;
    border-radius: 10px;
}

.header .col-lg-8 .tell{
    display: none;
}
.header .col-lg-2 .tell{
    display: block;
}  

.header .tell {
    color: var(--black-color);
    border: 2px solid var(--dark-color);
    border-radius: 10px;
    padding: 10px 20px;
    text-decoration: none;
}

.header .tell:hover {
    color: var(--black-color);
    border: 2px solid var(--light-color);
}

.hero-section {
    margin-top: 100px;
    display: flex;
    height: 90vh;
    width: 100%;
}

.text-side {
    width: 100%;
    position: relative;
    /* background-color: var(--dark-color); */
    color: var(--white-color);
    padding: 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
    z-index: 2;
}

.text-side::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image:
        linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
        /* затемнення */
        url('../images/photo_2025-04-22_11-48-53.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    z-index: -1;
}

.text-side h1,
.text-side p {
    color: var(--white-color);
}

.text-side p {
    font-size: 21px;
}

.text-side h1 {
    font-size: 42px;
    margin: 10px;
}

.text-side a {
    padding: 15px 20px;
    background-color: var(--light-color);
    color: var(--black-color);
    text-decoration: none;
    border-radius: 10px;
    width: max-content;
}

.section {
    padding: 20px 5%;
}

.to-customers-section h3 {
    text-align: center;
    font-size: 36px;
}

.circle {
    display: inline-block;
    height: 10px;
    width: 10px;
    margin: auto 8px auto auto !important;
    border-radius: 50%;
    background-color: var(--light-color);
}

.to-customers-section p {
    font-size: 18px;
    line-height: 1.4;
}

.to-customers-section .to-customers-block {
    margin: 50px 0;
}

.to-customers-section .to-customers-block div {
    background-color: var(--white-color);
    border-radius: 20px;
    padding: 20px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.30);
    border: 0.2px solid var(--light-color);
}

.to-customers-section .to-customers-block h2 {
    text-align: center;
    font-size: 24px;
}

.services-and-prices .services-block svg {
    width: 20px;
    height: 20px;
}

.services-and-prices .services-block h5 {
    font-size: 21px;
    margin: 10px;
}

.services-and-prices .services-block {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
    align-items: center;
}

.services-and-prices-block {
    width: 60%;
    margin: 10px auto;
    border: 1.5px solid var(--dark-color);
    border-radius: 20px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.30);
}

.title-section {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 29px;
    font-weight: bold;
    position: relative;
    color: var(--black-color);
    text-transform: uppercase;
}

.title-section::before,
.title-section::after {
    content: "";
    flex: 1;
    height: 2px;
    margin: 0 15px;
}

.title-section::before {
    background-image: linear-gradient(to left, var(--dark-color), transparent);
}

.title-section::after {
    background-image: linear-gradient(to right, var(--dark-color), transparent);
}

.services-and-prices .block-1 {
    width: 100%;
    max-width: 900px;
    margin: auto;
}

.services-and-prices .block-1 .services {
    background-image: url('../images/icons/Group_2.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
    display: flex;
    align-items: center;
    height: 100%;
}

.services-and-prices .block-1 .services h2 {
    margin-left: 40%;
    font-size: 24px;
}

.services-and-prices .block-1 .prices {
    display: flex;
    flex-direction: column;
    height: 350px;
    justify-content: space-between;
}

.services-and-prices .block-1 .prices span {
    width: max-content;
    font-size: 18px;
    border: 5px dashed var(--dark-color);
    padding: 10px 20px;
    border-radius: 100px;
}

.services-and-prices .block-2 {
    display: block;
    max-width: 1000px;
    margin: 50px auto;
}

.services-and-prices .block-2 .services {
    background-image: url('../images/icons/Group_1.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    justify-content: center;
    height: 300px;
    margin: auto;
}

.services-and-prices .block-2 .prices {
    display: flex;
    justify-content: space-evenly;
}

.services-and-prices .block-2 .services h2 {
    font-size: 24px;
    margin-top: 7%;
}

.services-and-prices .block-2 .prices span {
    width: 200px;
    font-size: 18px;
    border: 5px dashed var(--dark-color);
    padding: 10px 20px;
    border-radius: 100px;
}

.services-and-prices .block-3 {
    width: 75%;
    margin: auto;
}

.services-and-prices .block-3 .circle-1 {
    max-width: 150px;
    max-height: 150px;
    width: 100%;
    height: 100%;
    border: 5px solid var(--dark-color);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.services-and-prices .block-3 .circle-1 h2 {
    text-align: center;
    font-size: 21px;
}

.services-and-prices .block-3 .circle-1 span {
    text-align: center;
    font-size: 18px;
}

.services-and-prices .block-3 svg {
    width: 100%;
}

.service-hero,
.service-hero div {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    font-size: 25px;
}

.service-hero,
.service-hero div h2 {
    margin: 0;
    font-size: 21px;
}

.service-hero img {

    width: 20px;
    height: 20px;
}

.service {
    background-color: #FFFFFF70;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.7);
    display: none;
    padding: 10px 20px;
    /* border: 2px solid var(--dark-color); */
    border-radius: 30px;
    max-width: 600px;
    margin: 10px auto;
}

.service-content {
    font-size: 18px;
    display: flex;
    flex-direction: column;
    max-height: 0;
    /* Початково прихований контент */
    overflow: hidden;
    transition: max-height 0.5s ease-in-out;
}


.service-content span {
    margin-bottom: 5px;
}

/* Активний стан - контент виїжджає */
.service-content.active {
    margin-top: 10px;
    max-height: 400px;
    /* Встановлюємо достатню висоту */
}

/* Обертання іконки плюса */
.toggle-btn {
    transition: transform 0.3s ease;
    cursor: pointer;

}

.toggle-btn.active {
    transform: rotate(45deg);
}

.services-and-prices .discount {
    margin-top: 30px;
    font-size: 24px;
    text-align: center;
    text-transform: uppercase;
}

.contact-form {
    background-color: var(--white-color);
    padding: 30px 40px;
    border-radius: 12px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.7);
    width: 90%;
    max-width: 400px;
    margin: 5% auto;
}

.contact-form h2 {
    color: var(--black-color);
    margin-bottom: 20px;
    text-align: center;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    color: var(--black-color);
    font-weight: bold;
}

.form-group input,
.form-group textarea {
    width: 90%;
    padding: 10px 5%;
    border: 1px solid var(--light-color);
    border-radius: 8px;
    background-color: var(--white-color);
    color: var(--black-color);
    font-size: 14px;
}

.form-group textarea {
    resize: vertical;
    min-height: 100px;
}

.submit-btn {
    width: 100%;
    padding: 12px;
    background-color: var(--dark-color);
    color: var(--white-color);
    border: none;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.submit-btn:hover {
    background-color: #1c1c1c;
}

footer {
    margin-top: 30px;
    background-color: var(--dark-color);
}

footer iframe {
    border-radius: 12px;
    width: 100%;
}

.footer-content {
    display: block;
    margin: 50px auto;
    max-width: 480px;
}

.footer-content span, .footer-content h4 {
    color: var(--white-color);
}

.footer-content>h4 a {
    display: block;
    margin-top: 10px;
    color: var(--white-color);
    text-decoration: none;
    font-size: 21px;
}

.footer-content>span, .footer-content>h4{
    margin-top: 10px;
    display: block;
}

.footer-content a:hover {
    color: var(--white-color);
}

.footer-content .social-links a {
    margin-right: 10px;
}

.dots {
    padding: 10px 20px 20px 0;
    display: flex;
    gap: 20px;
}

/* Базовий стиль кружків */
.dot {
    width: 15px;
    height: 15px;
    background-color: white;
    border-radius: 50%;
}

/* Другий кружок з меншою прозорістю */
.dot-medium {
    opacity: 0.6;
}

/* Третій кружок майже прозорий */
.dot-light {
    opacity: 0.3;
}

.dots-2 {
    padding-bottom: 40px;
}

.services-and-prices .title-section {
    margin-bottom: 50px;
}

.services-and-prices{
    position: relative;
}

.services-and-prices {
    position: relative;
    overflow: hidden; /* Щоб зображення не вилазило за межі */
}

.services-and-prices > img {
    z-index: -1;
    position: absolute;
    top:0; right:0; left:0; /* скорочення для top:0; right:0; bottom:0; left:0 */
    width: 100%;
    object-fit: cover; /* робить картинку як фон - без розтягування або сплющення */
    
    mask-image: linear-gradient(to bottom, transparent 0%, black 20%, black 80%, transparent 100%);
    -webkit-mask-image: linear-gradient(to bottom, transparent 0%, black 20%, black 80%, transparent 100%);
}


/* .services-and-prices{
    position: relative;
    overflow: hidden;
}

.services-and-prices > svg{
    position: absolute;
    width: 300px;
    top: 100;
    left: -3%;
    transform: rotate(-45deg);
} */

@media (max-width: 995px) {

    .header .col-lg-8 .tell{
        display: block;
    } 
    .header .col-lg-2 .tell{
        display: none;
    } 

    .menu {
        height: 120vh;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.4s ease-in-out;
        flex-direction: column;
        width: 100%;
        background: var(--white-color);
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 999;
        border-top: 1px solid var(--dark-color);
    }

    .menu.active {
        max-height: 120vh;
        /* будь-яке достатнє значення */
    }

    .menu-burger svg {
        display: block;
        width: 30px;
        height: 30px;
        cursor: pointer;
    }

    .menu nav ul {
        flex-direction: column;
        align-items: center;
        margin: 30px 0;
    }
    .menu nav ul li{
        margin: 10px 0;
    }
    .menu nav ul {
        flex-direction: column;
        align-items: center;
        margin: 30px 0;
    }

    .burger-icon {
        display: flex;
    }

    .burger-icon svg {
        width: 30px;
        height: 30px;
    }

    .image-side {
        display: none;
        height: 100% !important;
    }

    .service {
        display: block;
    }
    .block-1, .block-2, .block-3 {
        display: none !important;
    }

    /* .services-and-prices .block-1 .services {
        background-image: none;
        border: 5px solid var(--dark-color);
        border-radius: 100px;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
        max-width: 391px;
        margin: auto;
    }
    .services-and-prices .block-1 .services h2{
        text-align: center;
        margin: 0;
        padding: 10px 20px;
    }

    .services-and-prices .block-1 .prices {
        display: flex;
        flex-direction: column;
        height: auto;
        justify-content: space-between;
    }

    .services-and-prices .block-1 .prices span{
        margin: 10px auto;
        text-align: center;
        border: none;
    } */

    .contact-form{
        padding: 30px 5%;
        max-width: 80%;
        margin: 5%;
    }

    .footer-content{
        max-width: 90%;
        width: 90%;
        margin: 5%;
    }
}

@media (max-width: 767.98px) {
    footer .row{
        display: flex;
        flex-direction: column-reverse;
    } 
    .contact-form{
        padding: 30px 5%;
        max-width: 80%;
        margin: 5%;
    }

    .footer-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    footer iframe {
        border-radius: 12px;
        width: 90%;
        margin: auto 5%;
    }

    .services-and-prices > img {
        inset: 0;
        height: 100%;
    }
}

html, body {
    width: 100%;
    overflow-x: hidden;
}
img, iframe, video {
    max-width: 100%;
    height: auto;
}
